;******************************************************************************
;  *   	@MCU   	   	   	   	 : MC30P6250
;  *   	@Create Date         : 2020.01.09
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@֧QQȺ   	  : 814641858      
;  *    @΢ٷ̳   	  : http://bbs.sinomcu.com/	 
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------    	
;  *           	   	   	     ˣVDDѹ  
   	   	   	   	   	   	   	   	   	   	   	   	   	   	 
;      	   	   	   	   	   	 ˣVIR 0.5V
;      	   	   	   	   	   	 ش     	˳  	   	   	   	   	   
;      	   	   	   	   	   	 VDD>4V    	P11ת;
;      	   	   	   	   	   	 VDD<4V CMPж P11ת;
   	   	   	   	   	   	   	   	   	
;      	   	   	   	   	   	 ½ش
;      	   	   	   	   	   	 VDD>4V CMPж      	P11ת;
;      	   	   	   	   	   	 VDD<4V  P11ת;
;      	   	   	   	   	   	 CMP޻ִʵʹҪΧ
;******************************************************************************
#include "MC30P6250.INC"

cblock 0x0010
abuf
statusbuf
endc

   	ORG     0x0000
   	goto   	MAIN
    ORG     0x08
   	goto   	INT_ISR	   	;ж

 
INT_ISR:

   	movra   abuf
   	swapar  STATUS
   	movra   statusbuf

   	JBSET  	T0IF
   	GOTO   	T0_END
   	JBSET  	T0IE
   	GOTO   	T0_END
   	BCLR   	T0IF
T0_END:

   	JBSET  	T1IF
   	GOTO   	T1_END
   	JBSET  	T1IE
   	GOTO   	T1_END
   	BCLR   	T1IF
T1_END:

   	JBSET  	CMPIE
   	GOTO   	CMP_END
   	JBSET  	CMPIF
   	GOTO   	CMP_END
   	JBSET  	CMPOF  	   	;CMP־жϷ
   	GOTO   	CMP_END

   	MOVAI  	00000010B
   	XORRA  	P1   	 
    ;޻ִʵʹҪ
   	BCLR   	CMPIF
CMP_END:

   	swapar  statusbuf
   	movra   STATUS
   	swapr   abuf
   	swapar  abuf
END_OF_INTERRUPT
   	RETIE  	


MAIN:
   	CALL   	SYS_INIT
WHILE_LOOP:
   	GOTO   	WHILE_LOOP
   	RETURN 	
; exit point of MAIN

SYS_INIT:
   	BCLR   	GIE
   	CALL    CLR_RAM
   	CALL   	IO_INIT  
   	CALL   	CMP_INIT
   	BSET   	GIE
   	RETURN 	
; exit point of SYS_INIT


CMP_INIT:
   	MOVAI  	0x80
   	MOVRA  	CMPCR0
   	MOVAI  	0x31
   	MOVRA  	CMPCR1
    NOP
    NOP
    NOP
    NOP
    NOP
   	MOVAI  	0x02
   	MOVRA  	CMPCR2                  ;ж
   	RETURN 	
; exit point of CMP_INIT

IO_INIT:

   	CLRR   	P1                      ;1:input 0:output  	
   	CLRR   	DDR1
   	MOVAI  	0xff
   	MOVRA  	PUCON                  ;0:Effective 1:invalid
   	MOVRA  	PDCON                  ;0:Effective 1:invalid
   	CLRR   	ODCON                  ;0:  1:©
   	RETURN 	
; exit point of IO_INIT


CLR_RAM:
   	movai 0x40
   	movra FSR
   	movai 48
   	movra 0x07
   	decr FSR
   	clrr INDF
   	djzr 0x07
   	goto $ -3;
   	clrr 0x07
   	
   	RETURN 	
; exit point of CLR_RAM

   	end


